feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.ConditionM

# Documentation

data ConditionM m a where

Constructors

ConditionM :: (Monad m, Type a) => ConditionM m (Bool :-> (m a :-> (m a :-> Full (m a)))) |

Instances

EvalBind (ConditionM m) |
Semantic (ConditionM m) |
Eval (ConditionM m) |
Render (ConditionM m) |
ToTree (ConditionM m) |
Equality (ConditionM m) |
LatticeSize1 m => SizeProp (ConditionM m) |
Sharable (ConditionM m) |
(:<: (ConditionM m) dom, :<: (:|| Logic Type) dom, OptimizeSuper dom, LatticeSize1 m) => Optimize (ConditionM m) dom |
AlphaEq dom dom dom env => AlphaEq (ConditionM m) (ConditionM m) dom env |